## org.mortbay.jetty.ajp
Class Ajp13Request

    java.lang.Object
      org.mortbay.jetty.Request
          org.mortbay.jetty.ajp.Ajp13Request

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

    public class Ajp13Request

extends Request

Field Summary
`protected String` `_remoteAddr`
`protected String` `_remoteHost`
`protected String` `_remoteUser`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`Ajp13Request()`

Method Summary
`String` `getRemoteAddr()`
`String` `getRemoteHost()`
`String` `getRemoteUser()`
`protected void` `recycle()`
`protected void` `setConnection(HttpConnection connection)`
`void` `setRemoteAddr(String remoteAddr)`
`void` `setRemoteHost(String remoteHost)`
`void` `setRemoteUser(String remoteUser)`

Methods inherited from class org.mortbay.jetty.Request

`addEventListener, getAttribute, getAttributeNames, getAttributes, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentType, getContext, getContextPath, getContinuation, getContinuation, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemotePort, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getRoleMap, getRootURL, getScheme, getServerName, getServerPort, getServletContext, getServletName, getServletPath, getServletResponse, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserPrincipal, getUserRealm, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, recoverNewSession, removeAttribute, removeEventListener, saveNewSession, setAttribute, setAttributes, setAuthType, setCharacterEncoding, setCharacterEncodingUnchecked, setContentType, setContext, setContextPath, setCookies, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestURI, setRoleMap, setScheme, setServerName, setServerPort, setServletName, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserPrincipal, setUserRealm, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _remoteAddr

    protected String _remoteAddr

### _remoteHost

    protected String _remoteHost

### _remoteUser

    protected String _remoteUser

Constructor Detail

### Ajp13Request

    public Ajp13Request()

Method Detail

### setConnection

    protected void setConnection(HttpConnection connection)

  Overrides:
    `setConnection` in class `Request`

### setRemoteUser

    public void setRemoteUser(String remoteUser)

### getRemoteUser

    public String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `Request`

### getRemoteAddr

    public String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `ServletRequest`
  Overrides:
    `getRemoteAddr` in class `Request`

### setRemoteAddr

    public void setRemoteAddr(String remoteAddr)

  Overrides:
    `setRemoteAddr` in class `Request`
  Parameters:
    `remoteAddr` - The address to set.

### getRemoteHost

    public String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `ServletRequest`
  Overrides:
    `getRemoteHost` in class `Request`

### setRemoteHost

    public void setRemoteHost(String remoteHost)

  Overrides:
    `setRemoteHost` in class `Request`
  Parameters:
    `remoteHost` - The host to set.

### recycle

    protected void recycle()

  Overrides:
    `recycle` in class `Request`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.